Subject: Re: powermac/low_i2c.c: three minor problems

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Apr 2010 14:23:17 +1000

On Sat, 2010-02-06 at 12:13 +0000, d binderman wrote:
> 
> Hello there,
> 
> I just ran the sourceforge tool cppcheck over the source code of the
> new Linux kernel 2.6.33-rc6

Hi !

All your patches have various problems with the actual patch format.

Patches should be submitted so that they apply with patch -p1, yours
don't. In fact, the base directory you diffed from seems to differ from
patch to patch. I'm manually fixing those this time around, but please
get that sorted out before you submit a new batch.

Cheers,
Ben.

> It said
> 
> [./arch/powerpc/platforms/powermac/low_i2c.c:594]: (style) The scope of the variable chans can be reduced
> [./arch/powerpc/platforms/powermac/low_i2c.c:594]: (style) The scope of the variable i can be reduced
> [./arch/powerpc/platforms/powermac/low_i2c.c:1260]: (style) Redundant condition. It is safe to deallocate a NULL pointer
> 
> Please find attached a patch to fix these minor problems.  
> The patched version compiles, but I have not been able to test it at run time.
> 
> Regards
> 
> David Binderman
>  		 	   		  
> _________________________________________________________________
> Do you have a story that started on Hotmail? Tell us now
> http://clk.atdmt.com/UKM/go/195013117/direct/01/